import Excel from '../excel'         // Helper files to create Excel files
import Player from '../classes/player'

export function generatePlayerList (file) {
  return new Promise((resolve, reject) => {
    console.log('About to read the player list.')
    Excel.readWorkbook(file).then(worksheets => {
      console.log('got worksheets', worksheets)
      const worksheet = worksheets.Players
      if (worksheet[4].length !== 32 & worksheet[3][0] !== 'Konkurrenz' & worksheet[3][31] !== 'bezahlt') {
        reject(Error('Wrong file structure.'))
      }
      const players = worksheet.slice(4, worksheet.length).map((playerData) => new Player.Player(playerData))
      console.log('State after generating player list:', players)
      resolve(players)
    }).catch(error => {
      reject(Error(error))
    })
  })
}
